#
# Copyright (C) 2008 by Juergen Beisert
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_COREBOOT_V2) += coreboot-v2

#
# Paths and names
#
COREBOOT_V2_VERSION	:= r3218
COREBOOT_V2		:= coreboot-v2-$(COREBOOT_V2_VERSION)
COREBOOT_V2_SUFFIX	:= tar.gz
COREBOOT_V2_URL		:= http://www.kreuzholzen.de/src/coreboot/$(COREBOOT_V2).$(COREBOOT_V2_SUFFIX)
COREBOOT_V2_SOURCE	:= $(SRCDIR)/$(COREBOOT_V2).$(COREBOOT_V2_SUFFIX)
COREBOOT_V2_DIR		:= $(BUILDDIR)/$(COREBOOT_V2)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

coreboot-v2_get: $(STATEDIR)/coreboot-v2.get

$(STATEDIR)/coreboot-v2.get: $(coreboot-v2_get_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

$(COREBOOT_V2_SOURCE):
	@$(call targetinfo, $@)
	@$(call get, COREBOOT_V2)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

coreboot-v2_extract: $(STATEDIR)/coreboot-v2.extract

$(STATEDIR)/coreboot-v2.extract: $(coreboot-v2_extract_deps_default)
	@$(call targetinfo, $@)
	@$(call clean, $(COREBOOT_V2_DIR))
	@$(call extract, COREBOOT_V2)
	@$(call patchin, COREBOOT_V2)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

coreboot-v2_prepare: $(STATEDIR)/coreboot-v2.prepare

COREBOOT_V2_PATH	:= PATH=$(CROSS_PATH)
COREBOOT_V2_ENV 	:= $(CROSS_ENV)

$(STATEDIR)/coreboot-v2.prepare: $(coreboot-v2_prepare_deps_default)
	@$(call targetinfo, $@)
	rm -rf $(COREBOOT_V2_DIR)/targets/$(PTXCONF_COREBOOT_V2_VENDOR)/$(PTXCONF_COREBOOT_V2_DEVICE)/$(PTXCONF_COREBOOT_V2_DEVICE)
	cd $(COREBOOT_V2_DIR)/targets && \
		$(COREBOOT_V2_PATH) $(COREBOOT_V2_ENV) ./buildtarget $(PTXCONF_COREBOOT_V2_VENDOR)/$(PTXCONF_COREBOOT_V2_DEVICE)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

coreboot-v2_compile: $(STATEDIR)/coreboot-v2.compile

$(STATEDIR)/coreboot-v2.compile: $(coreboot-v2_compile_deps_default)
	@$(call targetinfo, $@)
	cd $(COREBOOT_V2_DIR)/targets/$(PTXCONF_COREBOOT_V2_VENDOR)/$(PTXCONF_COREBOOT_V2_DEVICE)/$(PTXCONF_COREBOOT_V2_DEVICE) && \
		$(COREBOOT_V2_PATH) $(COREBOOT_V2_ENV) $(MAKE) CROSS_COMPILE=$(call remove_quotes,$(PTXCONF_COMPILER_PREFIX)) $(PARALLELMFLAGS)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

coreboot-v2_install: $(STATEDIR)/coreboot-v2.install

$(STATEDIR)/coreboot-v2.install: $(coreboot-v2_install_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

coreboot-v2_targetinstall: $(STATEDIR)/coreboot-v2.targetinstall

$(STATEDIR)/coreboot-v2.targetinstall: $(coreboot-v2_targetinstall_deps_default)
	@$(call targetinfo, $@)

	cp $(COREBOOT_V2_DIR)/targets/$(PTXCONF_COREBOOT_V2_VENDOR)/$(PTXCONF_COREBOOT_V2_DEVICE)/$(PTXCONF_COREBOOT_V2_DEVICE)/coreboot.rom \
		$(IMAGEDIR)/$(PTXCONF_COREBOOT_V2_DEVICE)_coreboot-v2.rom
	
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

coreboot-v2_clean:
	rm -rf $(STATEDIR)/coreboot-v2.*
	rm -rf $(IMAGEDIR)/coreboot-v2_*
	rm -rf $(COREBOOT_V2_DIR)

# vim: syntax=make
