#
# Copyright (C) 2008 by Juergen Beisert
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_FILO) += filo

#
# Paths and names
#
FILO_VERSION	:= 0.5-r45
FILO		:= filo-$(FILO_VERSION)
FILO_SUFFIX	:= tar.gz
FILO_URL	:= http://www.kreuzholzen.de/src/filo/$(FILO).$(FILO_SUFFIX)
FILO_SOURCE	:= $(SRCDIR)/$(FILO).$(FILO_SUFFIX)
FILO_DIR	:= $(BUILDDIR)/$(FILO)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

filo_get: $(STATEDIR)/filo.get

$(STATEDIR)/filo.get: $(filo_get_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

$(FILO_SOURCE):
	@$(call targetinfo, $@)
	@$(call get, FILO)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

filo_extract: $(STATEDIR)/filo.extract

$(STATEDIR)/filo.extract: $(filo_extract_deps_default)
	@$(call targetinfo, $@)
	@$(call clean, $(FILO_DIR))
	@$(call extract, FILO)
	@$(call patchin, FILO)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

filo_prepare: $(STATEDIR)/filo.prepare

FILO_PATH	:= PATH=$(CROSS_PATH)
FILO_ENV 	:= $(CROSS_ENV)

$(STATEDIR)/filo.prepare: $(filo_prepare_deps_default)
	@$(call targetinfo, $@)
	@rm -rf $(FILO_DIR)/Config
	@cd $(FILO_DIR) && $(FILO_ENV) $(FILO_PATH) $(MAKE)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

filo_compile: $(STATEDIR)/filo.compile

$(STATEDIR)/filo.compile: $(filo_compile_deps_default)
	@$(call targetinfo, $@)
	@cd $(FILO_DIR) && $(FILO_ENV) $(FILO_PATH) $(MAKE) $(PARALLELMFLAGS)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

filo_install: $(STATEDIR)/filo.install

$(STATEDIR)/filo.install: $(filo_install_deps_default)
	@$(call targetinfo, $@)
	@cp $(FILO_DIR)/filo.elf $(IMAGEDIR)/payload.elf
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

filo_targetinstall: $(STATEDIR)/filo.targetinstall

$(STATEDIR)/filo.targetinstall: $(filo_targetinstall_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

filo_clean:
	rm -rf $(STATEDIR)/filo.*
	rm -rf $(IMAGEDIR)/filo_*
	rm -rf $(FILO_DIR)

# vim: syntax=make
